# ruff: noqa: S311
"""Shared utils function."""
import random
import secrets
import string

from paste import config


def generate_id() -> str:
    """
    Generate url id format.
    :return: Url id.
    """
    return "".join(
        random.choices(string.ascii_letters + string.digits,
                       k=config.URL_LENGTH)
    )


def generate_secret() -> str:
    """
    Generate hex secret for delete paste.
    :return: The secret.
    """
    return secrets.token_hex()
